## jackd2 1.9.5~dfsg

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os
import Utils
import Options
import commands
g_maxlen = 40
import shutil
import Task
import re
import Logs

VERSION='1.9.5'
APPNAME='jack'
JACK_API_VERSION = '0.1.0'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def display_msg(msg, status = None, color = None):
    sr = msg
    global g_maxlen
    g_maxlen = max(g_maxlen, len(msg))
    if status:
        print "%s :" % msg.ljust(g_maxlen),
        Utils.pprint(color, status)
    else:
        print "%s" % msg.ljust(g_maxlen)

def display_feature(msg, build):
    if build:
        display_msg(msg, "yes", 'GREEN')
    else:
        display_msg(msg, "no", 'YELLOW')

def create_svnversion_task(bld, header='svnversion.h', define=None):
    import Constants, Build

    cmd = '../svnversion_regenerate.sh ${TGT}'
    if define:
        cmd += " " + define

    cls = Task.simple_task_type('svnversion', cmd, color='BLUE', before='cc')
    cls.runnable_status = lambda self: Constants.RUN_ME

    def post_run(self):
        sg = Utils.h_file(self.outputs[0].abspath(self.env))
        #print sg.encode('hex')
        Build.bld.node_sigs[self.env.variant()][self.outputs[0].id] = sg
    cls.post_run = post_run

    tsk = cls(bld.env.copy())
    tsk.inputs = []
    tsk.outputs = [bld.path.find_or_declare(header)]

def set_options(opt):
    # options provided by the modules
    opt.tool_options('compiler_cxx')
    opt.tool_options('compiler_cc')

    opt.add_option('--libdir', type='string', help="Library directory [Default: <prefix>/lib]")
    opt.add_option('--libdir32', type='string', help="32bit Library directory [Default: <prefix>/lib32]")
    opt.add_option('--dbus', action='store_true', default=False, help='Enable D-Bus JACK (jackdbus)')
    opt.add_option('--classic', action='store_true', default=False, help='Force enable standard JACK (jackd) even if D-Bus JACK (jackdbus) is enabled too')
    opt.add_option('--doxygen', action='store_true', default=False, help='Enable build of doxygen documentation')
    opt.add_option('--profile', action='store_true', default=False, help='Build with engine profiling')
    opt.add_option('--mixed', action='store_true', default=False, help='Build with 32/64 bits mixed mode')
    opt.add_option('--clients', default=64, type="int", dest="clients", help='Maximum number of JACK clients')
    opt.add_option('--ports-per-application', default=768, type="int", dest="application_ports", help='Maximum number of ports per application')
    opt.add_option('--debug', action='store_true', default=False, dest='debug', help="Build debuggable binaries")
    opt.sub_options('dbus')

def configure(conf):
    platform = Utils.detect_platform()
    conf.env['IS_MACOSX'] = platform == 'darwin'
    conf.env['IS_LINUX'] = platform == 'linux'
    conf.env['IS_SUN'] = platform == 'sunos'

    if conf.env['IS_LINUX']:
        Utils.pprint('CYAN', "Linux detected")

    if conf.env['IS_MACOSX']:
        Utils.pprint('CYAN', "MacOS X detected")

    if conf.env['IS_SUN']:
        Utils.pprint('CYAN', "SunOS detected")

    if conf.env['IS_LINUX']:
        conf.check_tool('compiler_cxx')
        conf.check_tool('compiler_cc')

    if conf.env['IS_MACOSX']:
        conf.check_tool('compiler_cxx')
        conf.check_tool('compiler_cc')

    # waf 1.5 : check_tool('compiler_cxx') and check_tool('compiler_cc') do not work correctly, so explicit use of gcc and g++
    if conf.env['IS_SUN']:
        conf.check_tool('g++')
        conf.check_tool('gcc')

    #if conf.env['IS_SUN']:
    #   conf.check_tool('compiler_cxx')
    #   conf.check_tool('compiler_cc')
 
    conf.env.append_unique('CXXFLAGS', '-O3 -Wall')
    conf.env.append_unique('CCFLAGS', '-O3 -Wall')

    conf.sub_config('common')
    if conf.env['IS_LINUX']:
        conf.sub_config('linux')
    if Options.options.dbus:
        conf.sub_config('dbus')
        if conf.env['BUILD_JACKDBUS'] != True:
            conf.fatal('jackdbus was explicitly requested but cannot be built')
    conf.sub_config('example-clients')

    if conf.check_cfg(package='celt', atleast_version='0.7.0', args='--cflags --libs'):
        conf.define('HAVE_CELT', 1)
        conf.define('HAVE_CELT_API_0_7', 1)
        conf.define('HAVE_CELT_API_0_5', 0)
    elif conf.check_cfg(package='celt', atleast_version='0.5.0', args='--cflags --libs', required=True):
        conf.define('HAVE_CELT', 1)
        conf.define('HAVE_CELT_API_0_5', 1)
        conf.define('HAVE_CELT_API_0_7', 0)
    else:
        conf.define('HAVE_CELT', 0)
        conf.define('HAVE_CELT_API_0_5', 0)
        conf.define('HAVE_CELT_API_0_7', 0)

    conf.env['LIB_PTHREAD'] = ['pthread']
    conf.env['LIB_DL'] = ['dl']
    conf.env['LIB_RT'] = ['rt']
    conf.env['JACK_API_VERSION'] = JACK_API_VERSION
    conf.env['JACK_VERSION'] = VERSION

    conf.env['BUILD_DOXYGEN_DOCS'] = Options.options.doxygen
    conf.env['BUILD_WITH_PROFILE'] = Options.options.profile
    conf.env['BUILD_WITH_32_64'] = Options.options.mixed
    conf.env['BUILD_CLASSIC'] = Options.options.classic
    conf.env['BUILD_DEBUG'] = Options.options.debug

    if conf.env['BUILD_JACKDBUS']:
        conf.env['BUILD_JACKD'] = conf.env['BUILD_CLASSIC']
    else:
        conf.env['BUILD_JACKD'] = True

    if Options.options.libdir:
        conf.env['LIBDIR'] = conf.env['PREFIX'] + Options.options.libdir
    else:
        conf.env['LIBDIR'] = conf.env['PREFIX'] + '/lib'

    if conf.env['BUILD_DEBUG']:
        conf.env.append_unique('CXXFLAGS', '-g')
        conf.env.append_unique('CCFLAGS', '-g')
        conf.env.append_unique('LINKFLAGS', '-g')

    conf.define('CLIENT_NUM', Options.options.clients)
    conf.define('PORT_NUM_FOR_CLIENT', Options.options.application_ports)

    conf.define('ADDON_DIR', os.path.normpath(os.path.join(conf.env['LIBDIR'], 'jack')))
    conf.define('JACK_LOCATION', os.path.normpath(os.path.join(conf.env['PREFIX'], 'bin')))
    conf.define('USE_POSIX_SHM', 1)
    conf.define('JACKMP', 1)
    if conf.env['BUILD_JACKDBUS'] == True:
        conf.define('JACK_DBUS', 1)
        if conf.env['BUILD_JACKD'] == False:
            conf.define('USE_LIBDBUS_AUTOLAUNCH', 1)
    if conf.env['BUILD_WITH_PROFILE'] == True:
        conf.define('JACK_MONITOR', 1)
    if conf.env['BUILD_WITH_32_64'] == True:
        conf.define('JACK_32_64', 1)
    conf.write_config_header('config.h')

    svnrev = None
    if os.access('svnversion.h', os.R_OK):
        data = file('svnversion.h').read()
        m = re.match(r'^#define SVN_VERSION "([^"]*)"$', data)
        if m != None:
            svnrev = m.group(1)

    print
    display_msg("==================")
    version_msg = "JACK " + VERSION
    if svnrev:
        version_msg += " exported from r" + svnrev
    else:
        version_msg += " svn revision will checked and eventually updated during build"
    print version_msg

    print "Build with a maximum of %d JACK clients" % conf.env['CLIENT_NUM']
    print "Build with a maximum of %d ports per application" % conf.env['PORT_NUM_FOR_CLIENT']
 
    display_msg("Install prefix", conf.env['PREFIX'], 'CYAN')
    display_msg("Library directory", conf.env['LIBDIR'], 'CYAN')
    display_msg("Drivers directory", conf.env['ADDON_DIR'], 'CYAN')
    display_feature('Build debuggable binaries', conf.env['BUILD_DEBUG'])
    display_feature('Build doxygen documentation', conf.env['BUILD_DOXYGEN_DOCS'])
    display_feature('Build with engine profiling', conf.env['BUILD_WITH_PROFILE'])
    display_feature('Build with 32/64 bits mixed mode', conf.env['BUILD_WITH_32_64'])

    display_feature('Build standard JACK (jackd)', conf.env['BUILD_JACKD'])
    display_feature('Build D-Bus JACK (jackdbus)', conf.env['BUILD_JACKDBUS'])

    if conf.env['BUILD_JACKDBUS'] and conf.env['BUILD_JACKD']:
        print Logs.colors.RED + 'WARNING !! mixing both jackd and jackdbus may cause issues:' + Logs.colors.NORMAL
        print Logs.colors.RED + 'WARNING !! jackdbus does not use .jackdrc nor qjackctl settings' + Logs.colors.NORMAL

    if conf.env['IS_LINUX']:
        display_feature('Build with ALSA support', conf.env['BUILD_DRIVER_ALSA'] == True)
        display_feature('Build with FireWire (FreeBob) support', conf.env['BUILD_DRIVER_FREEBOB'] == True)
        display_feature('Build with FireWire (FFADO) support', conf.env['BUILD_DRIVER_FFADO'] == True)
       
    if conf.env['BUILD_JACKDBUS'] == True:
        display_msg('D-Bus service install directory', conf.env['DBUS_SERVICES_DIR'], 'CYAN')
        #display_msg('Settings persistence', xxx)

        if conf.env['DBUS_SERVICES_DIR'] != conf.env['DBUS_SERVICES_DIR_REAL']:
            print
            print Logs.colors.RED + "WARNING: D-Bus session services directory as reported by pkg-config is"
            print Logs.colors.RED + "WARNING:",
            print Logs.colors.CYAN + conf.env['DBUS_SERVICES_DIR_REAL']
            print Logs.colors.RED + 'WARNING: but service file will be installed in'
            print Logs.colors.RED + "WARNING:",
            print Logs.colors.CYAN + conf.env['DBUS_SERVICES_DIR']
            print Logs.colors.RED + 'WARNING: You may need to adjust your D-Bus configuration after installing jackdbus'
            print 'WARNING: You can override dbus service install directory'
            print 'WARNING: with --enable-pkg-config-dbus-service-dir option to this script'
            print Logs.colors.NORMAL,
    print

    if Options.options.mixed == True:
	env_variant2 = conf.env.copy()
	conf.set_env_name('lib32', env_variant2)
	env_variant2.set_variant('lib32')
	conf.setenv('lib32')
    	conf.env.append_unique('CXXFLAGS', '-m32')
    	conf.env.append_unique('CCFLAGS', '-m32')
    	conf.env.append_unique('LINKFLAGS', '-m32')
    	if Options.options.libdir32:
	    conf.env['LIBDIR'] = conf.env['PREFIX'] + Options.options.libdir32
    	else:
	    conf.env['LIBDIR'] = conf.env['PREFIX'] + '/lib32'
	conf.write_config_header('config.h')

def build(bld):
    print ("make[1]: Entering directory `" + os.getcwd() + "/" + blddir + "'" )
    if not os.access('svnversion.h', os.R_OK):
        create_svnversion_task(bld)

   # process subfolders from here
    bld.add_subdirs('common')
    if bld.env['IS_LINUX']:
        bld.add_subdirs('linux')
        bld.add_subdirs('example-clients')
        bld.add_subdirs('tests')
        if bld.env['BUILD_JACKDBUS'] == True:
           bld.add_subdirs('dbus')
  
    if bld.env['IS_MACOSX']:
        bld.add_subdirs('macosx')
        bld.add_subdirs('example-clients')
        bld.add_subdirs('tests')
        if bld.env['BUILD_JACKDBUS'] == True:
            bld.add_subdirs('dbus')

    if bld.env['IS_SUN']:
        bld.add_subdirs('solaris')
        bld.add_subdirs('example-clients')
        bld.add_subdirs('tests')
        if bld.env['BUILD_JACKDBUS'] == True:
            bld.add_subdirs('dbus')

    if bld.env['BUILD_DOXYGEN_DOCS'] == True:
        share_dir = bld.env.get_destdir() + bld.env['PREFIX'] + '/share/jack-audio-connection-kit'
        html_docs_source_dir = "build/default/html"
        html_docs_install_dir = share_dir + '/reference/html/'
        if Options.commands['install']:
            if os.path.isdir(html_docs_install_dir):
                Utils.pprint('CYAN', "Removing old doxygen documentation installation...")
                shutil.rmtree(html_docs_install_dir)
                Utils.pprint('CYAN', "Removing old doxygen documentation installation done.")
            Utils.pprint('CYAN', "Installing doxygen documentation...")
            shutil.copytree(html_docs_source_dir, html_docs_install_dir)
            Utils.pprint('CYAN', "Installing doxygen documentation done.")
        elif Options.commands['uninstall']:
            Utils.pprint('CYAN', "Uninstalling doxygen documentation...")
            if os.path.isdir(share_dir):
                shutil.rmtree(share_dir)
            Utils.pprint('CYAN', "Uninstalling doxygen documentation done.")

=== example-clients/wscript ===
#! /usr/bin/env python
# encoding: utf-8

example_programs = {
    'jack_freewheel' : 'freewheel.c',
    'jack_connect' : 'connect.c',
    'jack_lsp' : 'lsp.c',
    'jack_metro' : 'metro.c',
    'jack_midiseq' : 'midiseq.c',
    'jack_midisine' : 'midisine.c',
    'jack_showtime' : 'showtime.c',
    'jack_simple_client' : 'simple_client.c',
    'jack_zombie' : 'zombie.c',
    'jack_load' : 'ipload.c',
    'jack_unload' : 'ipunload.c',
    'jack_showtime' : 'showtime.c',
    'jack_alias' : 'alias.c',
    'jack_bufsize' : 'bufsize.c',
    'jack_wait' : 'wait.c',
    'jack_samplerate' : 'samplerate.c',
    'jack_evmon' : 'evmon.c',
    'jack_monitor_client' : 'monitor_client.c',
    'jack_thru' : 'thru_client.c',
    'jack_cpu_load' : 'cpu_load.c',
    'jack_server_control' : 'server_control.cpp',
    }

example_libs = {
    'inprocess' : 'inprocess.c',
    }

def configure(conf):
    e = conf.check_cc(header_name='sndfile.h', define_name="HAVE_SNDFILE")
 
    conf.check_cc(header_name='samplerate.h', define_name="HAVE_SAMPLERATE")
   
    if conf.is_defined('HAVE_SAMPLERATE'):
        conf.env['LIB_SAMPLERATE'] = ['samplerate']

    if conf.is_defined('HAVE_SNDFILE'):
        conf.env['LIB_SNDFILE'] = ['sndfile']

    conf.check_cfg(package='celt', atleast_version='0.5.0', args='--cflags --libs')

    e = conf.check_cc(header_name='ncurses.h', define_name="HAVE_NCURSES")

    if conf.is_defined('HAVE_NCURSES'):
        conf.env['LIB_NCURSES'] = ['ncurses']

    e = conf.check_cc(lib='readline', define_name="HAVE_READLINE")

    # define_name="HAVE_READLINE" has no effect, LIB_READLINE is defined if readline is available
    #if conf.is_defined('HAVE_READLINE'):
    #    conf.env['LIB_READLINE'] = ['readline']

    conf.env['BUILD_EXAMPLE_CLIENT_TRANSPORT'] = bool(conf.env['LIB_READLINE']) and bool(conf.env['LIB_NCURSES'])

    conf.env['BUILD_EXAMPLE_CLIENT_REC'] = conf.is_defined('HAVE_SNDFILE')

    conf.env['BUILD_EXAMPLE_ALSA_IO'] = conf.is_defined('HAVE_SAMPLERATE')

def build(bld):
    if bld.env['IS_LINUX']:
        os_incdir = ['../linux', '../posix']
    if bld.env['IS_MACOSX']:
        os_incdir = ['../macosx', '../posix']
    if bld.env['IS_SUN']:
        os_incdir = ['../solaris', '../posix']
    for example_program, example_program_source in example_programs.items():
        prog = bld.new_task_gen('cxx', 'program')
        prog.features.append('cc')
        prog.includes = os_incdir + ['../common/jack', '../common']
        prog.source = example_program_source
        if bld.env['IS_MACOSX']:
            prog.env.append_value("CPPFLAGS", "-mmacosx-version-min=10.4 -arch i386 -arch ppc")
            #prog.env.append_value("LINKFLAGS", "-arch i386 -arch ppc")
            prog.env.append_value("LINKFLAGS", "")
        if bld.env['IS_LINUX']:
            prog.uselib = 'RT'
        if bld.env['IS_SUN']:
            prog.env.append_value("LINKFLAGS", "-lm")
        if example_program == 'jack_server_control':
            prog.uselib_local = 'serverlib'
        else:
            prog.uselib_local = 'clientlib'              
        prog.target = example_program
   
    if bld.env['BUILD_EXAMPLE_CLIENT_TRANSPORT']:
        prog = bld.new_task_gen('cc', 'program')
        prog.includes = os_incdir + ['../common/jack', '../common']
        prog.source = 'transport.c'
        if bld.env['IS_MACOSX']:
            prog.env.append_value("CPPFLAGS", "-mmacosx-version-min=10.4 -arch i386 -arch ppc")
            #prog.env.append_value("LINKFLAGS", "-arch i386 -arch ppc")
            prog.env.append_value("LINKFLAGS", "")
        if bld.env['IS_LINUX']:
            prog.uselib = 'RT READLINE NCURSES'
        if bld.env['IS_MACOSX']:
	    prog.uselib = 'READLINE NCURSES'
        prog.uselib_local = 'clientlib'
        prog.target = 'jack_transport'

    if bld.env['BUILD_EXAMPLE_CLIENT_REC']:
        prog = bld.new_task_gen('cc', 'program')
        prog.includes = os_incdir + ['../common/jack', '../common']
        prog.source = 'capture_client.c'
        if bld.env['IS_MACOSX']:
            prog.env.append_value("CPPFLAGS", "-mmacosx-version-min=10.4 -arch i386 -arch ppc")
            #prog.env.append_value("LINKFLAGS", "-arch i386 -arch ppc")
            prog.env.append_value("LINKFLAGS", "")
            prog.uselib = 'SNDFILE'
        if bld.env['IS_LINUX']:
            prog.uselib = 'RT SNDFILE'
        if bld.env['IS_SUN']:
            prog.uselib = 'RT SNDFILE'
        prog.uselib_local = 'clientlib'
        prog.target = 'jack_rec'

    if bld.env['IS_LINUX'] or bld.env['IS_MACOSX']:
        prog = bld.new_task_gen('cc', 'program')
        prog.includes = os_incdir + ['../common/jack', '../common']
        prog.source = ['netsource.c', '../common/netjack_packet.c']
        prog.env.append_value("CCFLAGS", "-DNO_JACK_ERROR")
        # Seems uneeded here...
        #if bld.env['HAVE_CELT']:
	    #if bld.env['HAVE_CELT_API_0_5']:
	    #    prog.defines = ['HAVE_CELT', 'HAVE_CELT_API_0_5']
	    #elif bld.env['HAVE_CELT_API_0_7']:
	    #    prog.defines = ['HAVE_CELT', 'HAVE_CELT_API_0_7']
        prog.uselib = 'CELT SAMPLERATE'
        prog.uselib_local = 'clientlib'
        prog.target = 'jack_netsource'

    if bld.env['IS_LINUX'] and bld.env['BUILD_EXAMPLE_ALSA_IO']:
	    prog = bld.new_task_gen('cc', 'program')
	    prog.includes = os_incdir + ['../common/jack', '../common']
	    prog.source = ['alsa_in.c', '../common/memops.c']
	    prog.env.append_value("CCFLAGS", "-DNO_JACK_ERROR")
	    prog.uselib = 'ALSA SAMPLERATE'
	    prog.uselib_local = 'clientlib'
	    prog.target = 'alsa_in'

	    prog = bld.new_task_gen('cc', 'program')
	    prog.includes = os_incdir + ['../common/jack', '../common']
	    prog.source = ['alsa_out.c', '../common/memops.c']
	    prog.env.append_value("CCFLAGS", "-DNO_JACK_ERROR")
	    prog.uselib = 'ALSA SAMPLERATE'
	    prog.uselib_local = 'clientlib'
	    prog.target = 'alsa_out'

    for example_lib, example_lib_source in example_libs.items():
        lib = bld.new_task_gen('cc', 'shlib')
        lib.env['shlib_PATTERN'] = '%s.so'
        lib.includes = os_incdir + ['../common/jack', '../common']
        lib.target = example_lib
        lib.source = example_lib_source
        if bld.env['IS_MACOSX']:
            lib.env.append_value("CPPFLAGS", "-mmacosx-version-min=10.4 -arch i386 -arch ppc")
            #lib.env.append_value("LINKFLAGS", "-arch i386 -arch ppc")
            lib.env.append_value("LINKFLAGS", "")
        if bld.env['IS_SUN']:
	        lib.env.append_value("LINKFLAGS", "-lm")
        lib.uselib_local = 'serverlib'
        lib.install_path = '${ADDON_DIR}/'

    bld.symlink_as('${PREFIX}/bin/jack_disconnect', 'jack_connect')

    bld.install_files('${PREFIX}/bin', 'jack_control', chmod=0755)

=== debian/changelog ===
jackd2 (1.9.5~dfsg-19ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop libcelt build dependency
  * debian/gbp.conf: Set debian-branch to ubuntu

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 09 Aug 2010 09:46:12 +1000

jackd2 (1.9.5~dfsg-19) unstable; urgency=low

  * Fix FTBFS on kFreeBSD and sparc (Closes: #591247)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 01 Aug 2010 19:54:32 +0200

jackd2 (1.9.5~dfsg-18) unstable; urgency=low

  * Sync to upstream r4036 (Closes: #582744)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 30 Jul 2010 17:57:43 +0200

jackd2 (1.9.5~dfsg-17ubuntu1) maverick; urgency=low

  * debian/control: Drop libcelt build dependency, in preparation for jackd2
    moving to main

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 20 Jul 2010 16:39:44 +0200

jackd2 (1.9.5~dfsg-17) unstable; urgency=low

  * Augment sigsegv.c patch to support SH4 CPUs (Closes: #588124)
  * Make RTPRIO handling more robust (allow users to delete audio.conf)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 06 Jul 2010 09:40:36 +0200

jackd2 (1.9.5~dfsg-16) experimental; urgency=low

  * reupload to experimental

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 25 Jun 2010 22:11:22 +0200

jackd2 (1.9.5~dfsg-15) unstable; urgency=low

  [ Adrian Knoth ]
  * Also provide the shlibs file for libjack-jackd2-0
  * Fix FTBFS on sparc64 (Closes: #586257)

  [ Reinhard Tartler ]
  * jackd must not be a virtual package, use 'jack-daemon' for that
  * add breaks/replaces on old libjack0
  * change shlibsfile to prefer jackd2's libjack
  * use conflicts instead of breaks. libjack-jackd2-0 has file conflicts
    with libjack0 and will keep it

  [ Jonas Smedegaard ]
  * Update control file.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 19 Jun 2010 18:54:29 +0200

jackd2 (1.9.5~dfsg-14) unstable; urgency=low

  * Rename source package to jackd2
  * Don't provide libjack-dev anymore
  * Don't compile libjack0, use libjack-jackd2-0 instead
  * Move inprocess clients from libjack0 into jackd2 package
  * Update to upstream SVN revision 4024

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 17 Jun 2010 18:20:21 +0200

jack-audio-connection-kit (1.9.5~dfsg-13) unstable; urgency=low

  * Fix FTBFS on hppa (Closes: #580824)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 09 May 2010 12:08:12 +0200

jack-audio-connection-kit (1.9.5~dfsg-12) unstable; urgency=low

  * Add -fvisibility=hidden to build flags.
  * Fix FTBFS on hurd

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 08 May 2010 16:52:27 +0200

jack-audio-connection-kit (1.9.5~dfsg-11) unstable; urgency=low

  * Don't use Debian provided waf anymore. (Closes: #580363)
  * Drop doxygen build dependency.
  * Update to upstream SVN revision 4008. (uses semaphores on Linux now)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 07 May 2010 20:06:37 +0200

jack-audio-connection-kit (1.9.5~dfsg-10) unstable; urgency=low

  * Fix FTBFS on armel (Closes: #580618)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 07 May 2010 13:54:18 +0200

jack-audio-connection-kit (1.9.5~dfsg-9) unstable; urgency=low

  * Provide fix for GNU/kFreeBSD (Closes: #579465)
  * Conditionally include audioadapter.so on ALSA platforms only.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 06 May 2010 15:58:23 +0200

jack-audio-connection-kit (1.9.5~dfsg-8) unstable; urgency=low

  * Fix endif placement in ia64/alpha patch.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 05 May 2010 14:46:20 +0200

jack-audio-connection-kit (1.9.5~dfsg-7) unstable; urgency=low

  * Update to upstream SVN version 4003
  * Dropping local Debian patches, they are included upstream
  * Add local patch for IA64 and alpha (Closes: #580089)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 05 May 2010 11:49:30 +0200

jack-audio-connection-kit (1.9.5~dfsg-6) unstable; urgency=low

  * Fix more varargs issues on armel and alpha

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 03 May 2010 22:50:50 +0200

jack-audio-connection-kit (1.9.5~dfsg-5) unstable; urgency=low

  * Fix FTBFS on alpha and ia64 (Closes: #580089)
  * Fix FTBFS on armel (Closes: #580088)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 03 May 2010 19:16:23 +0200

jack-audio-connection-kit (1.9.5~dfsg-4) unstable; urgency=low

  * Upgrade to svn version r3995. (Closes: bug#548537)
  * Fix FTBFS on kFreeBSD (conditionally enable ALSA) (Closes: bug#579465)
  * Fix FTBFS on powerpc (Closes: bug#579479)
  * Fix FTBFS caused by missing atomic operations (Closes: #579464)
  * Remove outdated documentation (Closes: #577444)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 02 May 2010 21:55:26 +0200

jack-audio-connection-kit (1.9.5~dfsg-3) unstable; urgency=low

  * Fix restructure configure options to only add --firewire on
    supported architectures.
    Closes: bug#579237, thanks to Bastian Blank.
  * Handle library ABI through generalized packaging variable.
  * Bump API to 0.118.0 (from 9.116.2): Jackd2 1.9.4 declared compliance
    this newer version of jackd1, and does not promise backwards
    compatibility.
  * Tighten symbols older than API version to instead follow API: Future
    alternative implementations potentially of older version themselves
    are not assured to be binary compatible.
  * Have libjack-dev provide virtual libjack0.100.0-dev (...again - was
    apparently lost at some point upgrading to jackd2).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Apr 2010 20:41:50 +0200

jack-audio-connection-kit (1.9.5~dfsg-2) unstable; urgency=low

  * Fix relax shlibs file to libjack0 0.116.2 or newer: library API
    promised upstream to not have changed since.
    Closes: bug#579134, thanks to Reinhard Tartler.
  * Fix rename symbols file to get properly handled by dh_makeshlibs.
  * Fix tighten symbols file to depend at minimum 0.116.2 (not 0.116.0).
  * Suppress lintian error about newly added symbols: Any library


=== debian/control ===
Source: jackd2
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>, Jonas Smedegaard <dr@jones.dk>, Reinhard Tartler <siretart@tauware.de>
Build-Depends: cdbs,
 debhelper (>= 6),
 d-shlibs,
 python,
 libsamplerate-dev,
 libasound2-dev (>= 1.0.18) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libdbus-1-dev,
 libexpat1-dev,
 libsndfile1-dev,
 libncurses-dev,
 libreadline-dev,
 libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libffado-dev (>= 2.0.0) [amd64 i386 powerpc],
 g++-multilib [amd64],
 po-debconf
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: http://jackaudio.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jackd2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jackd2.git;a=summary

Package: jackd2
Architecture: any
Replaces: libjack0 (<= 1.9.5~dfsg-13),
	jackd (<< 3),
	jack-daemon
Provides: jack-daemon
Conflicts: jack-daemon,
	jackd (<< 3)
Depends: ${shlibs:Depends},
 ${misc:Depends},
 coreutils (>= 4.0),
 python,
 debconf | debconf-2.0,
 libjack-jackd2-0 (= ${binary:Version})
Recommends: qjackctl,
 libpam-modules,
 jackd2-firewire [amd64 i386 powerpc]
Suggests: jack-tools,
 meterbridge,
 libjackasyn0
Description: JACK Audio Connection Kit (server and example clients)
 JACK is a low-latency sound server, allowing multiple applications to
 connect to one audio device, and to share audio between themselves.
 .
 This package contains the daemon jackd as well as some example clients.

Package: libjack-jackd2-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: jackd2 (>> ${binary:Version}),
 jackd2 (<< ${binary:Version}),
 libjack0,
 libjack-0.116
Suggests: jackd2 (= ${binary:Version})
Provides: libjack-0.116
Replaces: libjack-0.116
Description: JACK Audio Connection Kit (libraries)
 JACK is a low-latency sound server, allowing multiple applications to
 connect to one audio device, and to share audio between themselves.
 .
 This package contains the shared libraries.

Package: jackd2-firewire
Architecture: amd64 i386 powerpc
Provides: jackd-firewire
Replaces: jackd-firewire
Conflicts: jackd-firewire
Depends: ${shlibs:Depends},
 ${misc:Depends},
 jackd2 (= ${binary:Version})
Description: JACK Audio Connection Kit (FFADO and FreeBoB backends)
 JACK is a low-latency sound server, allowing multiple applications to
 connect to one audio device, and to share audio between themselves.
 .
 This package contains the IEEE1394 (FireWire) backends FFADO and FreeBoB.

Package: libjack-jackd2-dev
Architecture: any
Section: libdevel
Depends: libjack-jackd2-0 (= ${binary:Version}), 
 ${asound:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 pkg-config,
 libdbus-1-dev
Conflicts: libjack0.100.0-dev (<< 0.102.20-2),
 libjack-dev
Provides: libjack0.100.0-dev
Replaces: libjack0.71.2-0 (<< 0.75.0-1)
Description: JACK Audio Connection Kit (development files)
 JACK is a low-latency sound server, allowing multiple applications to
 connect to one audio device, and to share audio between themselves.
 .
 This package contains files needed for the development of JACK applications
 and an API reference.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

DEB_UPSTREAM_PACKAGE = jack
DEB_UPSTREAM_URL = http://www.grame.fr/~letz/
DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2

# unneeded and possibly sourceless binaries
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./windows/**.Lib ./windows/**.lib ./windows/**.dll
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./macosx/libportaudio.a

# unneeded sources copyright-protected without licence
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./windows/**.rc

# ignore oddly packaged bzip2 archive to not upset dpkg
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^\./waf|\./debian/(changelog|copyright(|_hints|_newhints))$

# Minimum assured version referenced upstream as library API/ABI
ABI = 0.118.0

# Let's try to cut down noisy symbols to the official API
CFLAGS += -fvisibility=hidden
CXXFLAGS += -fvisibility=hidden

waf-configure-options = --prefix=/usr --classic --dbus
waf-configure-options += $(if $(filter linux,$(DEB_HOST_ARCH_OS)),--alsa)
waf-configure-options += $(if $(filter amd64 i386 powerpc,$(DEB_HOST_ARCH)),--firewire)
waf-configure-options += $(if $(filter amd64,$(DEB_HOST_ARCH)),--mixed)

DEB_MAKE_INVOKE = ./waf -v --destdir=$(CURDIR)/debian/tmp
DEB_MAKE_INSTALL_TARGET = install

# TODO: use distclean and drop related clean target, when (or if)
# upstream stop shipping waf dir
DEB_MAKE_CLEAN_TARGET = clean
clean::
	rm -f .lock-wscript
	find ./.waf-* -iname '*.pyc' -exec rm '{}' \;
	rm -rf build
	rm -f man/*.1
	-rmdir man

DEB_DH_MAKESHLIBS_ARGS = -Xintime -Xinprocess -Xjack_alsa -Xjack_oss -Xjack_dummy -Xjack_firewire

# too noisy symbols, so only watch disappearing ones for now
DEB_DH_MAKESHLIBS_ARGS += -- -c1

# Generate (and cleanup) files containing variables static per build
infiles = $(filter-out debian/control.in, $(wildcard debian/*.in))
outfiles = $(basename $(infiles))
DEB_PHONY_RULES += $(outfiles)
pre-build:: $(outfiles)
$(outfiles): update-config debian/stamp-copyright-check
	sed 's/__ABI__/$(ABI)/' <$@.in >$@
clean::
	rm -f $(outfiles)

common-configure-arch common-configure-indep:: common-configure-impl
common-configure-impl:: debian/stamp-waf-configure
debian/stamp-waf-configure:
	./waf configure $(waf-configure-options)
	touch $@
clean::
	rm -f debian/stamp-waf-configure

install/jackd2::
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -pjackd2 debian/tmp/usr/bin/alsa_in
	dh_install -pjackd2 debian/tmp/usr/bin/alsa_out
	dh_install -pjackd2 debian/tmp/usr/lib/jack/jack_alsa.so
	dh_install -pjackd2 debian/tmp/usr/lib/jack/audioadapter.so
endif	

# TODO: drop libstdc++6 override when bug#374049 closed in stable
binary-post-install/libjack0::
	d-devlibdeps \
		--override s/libjackserver0-dev// \
		--override s/libffado2-dev/libffado-dev/ \
		--override s/libcelt0-0-dev/libcelt-dev/ \
		--override s/libstdc++6-4.1-dev// \
		debian/libjack-dev.substvars \
		debian/tmp/usr/lib/*.so \
		debian/tmp/usr/lib/jack/*.so

#common-binary-post-install-arch::
#        ln -s jackdmp debian/jackdmp/usr/bin/jackd

## jackd2 1.9.6~dfsg.1

=== linux/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def configure(conf):
    conf.check_cfg(package='alsa', atleast_version='1.0.18', args='--cflags --libs')
    conf.env['BUILD_DRIVER_ALSA'] = conf.is_defined('HAVE_ALSA')

    conf. check_cfg(package='libfreebob', atleast_version='1.0.0', args='--cflags --libs')
    conf.env['BUILD_DRIVER_FREEBOB'] = conf.is_defined('HAVE_LIBFREEBOB')

    conf. check_cfg(package='libffado', atleast_version='1.999.17', args='--cflags --libs')
    conf.env['BUILD_DRIVER_FFADO'] = conf.is_defined('HAVE_LIBFFADO')

    conf.define('HAVE_PPOLL', 1 )


def create_jack_driver_obj(bld, target, sources, uselib = None):
    driver = bld.new_task_gen('cxx', 'shlib')
    driver.features.append('cc')
    driver.env['shlib_PATTERN'] = 'jack_%s.so'
    driver.defines = ['HAVE_CONFIG_H','SERVER_SIDE', 'HAVE_PPOLL']
    driver.includes = ['.', '../linux', '../posix', '../common', '../common/jack', '../dbus']
    driver.target = target
    driver.source = sources
    driver.install_path = '${ADDON_DIR}/'
    if uselib:
        driver.uselib = uselib
    driver.uselib_local = 'serverlib'
    return driver

def build(bld):
    if bld.env['BUILD_JACKD'] == True:
        jackd = bld.new_task_gen('cxx', 'program')
        jackd.includes = ['../linux', '../posix', '../common/jack', '../common', '../dbus']
        jackd.defines = 'HAVE_CONFIG_H'
        jackd.source = ['../common/Jackdmp.cpp']
	if bld.env['IS_LINUX'] and bld.env['BUILD_JACKDBUS']: 
            jackd.source += ['../dbus/reserve.c', '../dbus/audio_reserve.c'] 
            jackd.uselib = 'PTHREAD DL RT DBUS-1'
	else:
            jackd.uselib = 'PTHREAD DL RT'		
        jackd.uselib_local = 'serverlib'
        jackd.target = 'jackd'
  	
    create_jack_driver_obj(bld, 'dummy', '../common/JackDummyDriver.cpp')
    
    alsa_driver_src = ['alsa/JackAlsaDriver.cpp',
                       'alsa/alsa_rawmidi.c',
                       'alsa/alsa_seqmidi.c',
                       'alsa/alsa_midi_jackmp.cpp',
                       '../common/memops.c',
                       'alsa/generic_hw.c',
                       'alsa/hdsp.c',
                       'alsa/hammerfall.c',
                       'alsa/ice1712.c'
                       ]

    ffado_driver_src = ['firewire/JackFFADODriver.cpp',
                        'firewire/JackFFADOMidiInput.cpp',
                        'firewire/JackFFADOMidiOutput.cpp',
                        '../common/JackPhysicalMidiInput.cpp',
                        '../common/JackPhysicalMidiOutput.cpp'
                       ]

    if bld.env['BUILD_DRIVER_ALSA'] == True:
        create_jack_driver_obj(bld, 'alsa', alsa_driver_src, "ALSA")

    if bld.env['BUILD_DRIVER_FREEBOB'] == True:
        create_jack_driver_obj(bld, 'freebob', 'freebob/JackFreebobDriver.cpp', "LIBFREEBOB")

    if bld.env['BUILD_DRIVER_FFADO'] == True:
        create_jack_driver_obj(bld, 'firewire', ffado_driver_src, "LIBFFADO")

    create_jack_driver_obj(bld, 'net', '../common/JackNetDriver.cpp')

    create_jack_driver_obj(bld, 'loopback', '../common/JackLoopbackDriver.cpp')

    create_jack_driver_obj(bld, 'netone', [ '../common/JackNetOneDriver.cpp',
                                            '../common/netjack.c',
                                            '../common/netjack_packet.c' ], "SAMPLERATE CELT" )

=== macosx/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def create_jack_driver_obj(bld, target, sources, uselib = None):
    driver = bld.new_task_gen('cxx', 'shlib')
    driver.features.append('cc')
    driver.env['shlib_PATTERN'] = 'jack_%s.so'
    driver.defines = ['HAVE_CONFIG_H','SERVER_SIDE']
    # Seems uneeded here...
    #if bld.env['HAVE_CELT']:
	#if bld.env['HAVE_CELT_API_0_5']:
	#    driver.defines +=  ['HAVE_CELT', 'HAVE_CELT_API_0_5']
	#elif bld.env['HAVE_CELT_API_0_7']:
	#    driver.defines +=  ['HAVE_CELT', 'HAVE_CELT_API_0_7']
    driver.includes = ['.', '../macosx', '../posix', '../common', '../common/jack']
    driver.target = target
    driver.source = sources
    driver.install_path = '${ADDON_DIR}/'
    driver.uselib_local = 'serverlib'
    if uselib:
        driver.uselib = uselib
    return driver

def create_jack_audio_driver_obj(bld, target, sources, uselib = None):
    driver = bld.new_task_gen('cxx', 'shlib')
    driver.features.append('cc')
    driver.env['shlib_PATTERN'] = 'jack_%s.so'
    driver.defines = 'HAVE_CONFIG_H'
    driver.includes = ['.', '../macosx', '../posix', '../common', '../common/jack']
    driver.target = target
    driver.source = sources
    driver.install_path = '${ADDON_DIR}/'
    driver.uselib_local = 'serverlib'
    driver.env.append_value("LINKFLAGS", "-framework CoreAudio -framework CoreServices -framework AudioUnit")
    if uselib:
        driver.uselib = uselib
    return driver

def create_jack_midi_driver_obj(bld, target, sources, uselib = None):
    driver = bld.new_task_gen('cxx', 'shlib')
    driver.features.append('cc')
    driver.env['shlib_PATTERN'] = 'jack_%s.so'
    driver.defines = 'HAVE_CONFIG_H'
    driver.includes = ['.', '../macosx', '../posix', '../common', '../common/jack']
    driver.target = target
    driver.source = sources
    driver.install_path = '${ADDON_DIR}/'
    driver.uselib_local = 'serverlib'
    driver.env.append_value("LINKFLAGS", "-framework CoreMIDI -framework CoreServices -framework AudioUnit")
    if uselib:
        driver.uselib = uselib
    return driver

def build(bld):
    if bld.env['BUILD_JACKD'] == True:
    	jackd = bld.new_task_gen('cxx', 'program')
    	jackd.includes = ['.', '../macosx', '../posix', '../common', '../common/jack']
    	jackd.defines = 'HAVE_CONFIG_H'
    	jackd.source = ['../common/Jackdmp.cpp']
    	jackd.uselib = 'PTHREAD DL'
    	jackd.uselib_local = 'serverlib'
    	jackd.env.append_value("LINKFLAGS", "-framework CoreFoundation")
    	jackd.target = 'jackd'

    create_jack_driver_obj(bld, 'dummy', '../common/JackDummyDriver.cpp')

    create_jack_driver_obj(bld, 'loopback', '../common/JackLoopbackDriver.cpp')

    create_jack_audio_driver_obj(bld, 'coreaudio', 'coreaudio/JackCoreAudioDriver.cpp')

    create_jack_midi_driver_obj(bld, 'coremidi', 'coremidi/JackCoreMidiDriver.cpp')
    
    portaudio_src = [
        '../windows/JackPortAudioDriver.cpp',
        '../windows/JackPortAudioDevices.cpp',
    	]

    #create_jack_audio_driver_obj(bld, 'portaudio', portaudio_src)

    create_jack_driver_obj(bld, 'net', '../common/JackNetDriver.cpp')

    create_jack_driver_obj(bld, 'netone', [ '../common/JackNetOneDriver.cpp',
		                            '../common/netjack.c',
					    '../common/netjack_packet.c' ], "SAMPLERATE CELT" )

=== man/wscript ===
#! /usr/bin/env python
# encoding: utf-8

import Build
import re
import os
import misc


def build(bld):
    bld.exec_command("cd man ; sh fill_template %s" % bld.env['JACK_VERSION'])
    bld.install_files(bld.env['MANDIR'], '*.1')

=== tests/wscript ===
#! /usr/bin/env python
# encoding: utf-8

test_programs = {
    # For testing purposes
    #'synchroClient': ['testSynchroClient.cpp'],
    #'synchroServer': ['testSynchroServer.cpp'],
    #'synchroServerClient': ['testSynchroServerClient.cpp'],
    #'testSem': ['testSem.cpp'],
    'jack_test': ['test.cpp'],
    'jack_cpu': ['cpu.c'],
    'jack_delay': ['jdelay.cpp'],
    'jack_multiple_metro' : ['external_metro.cpp'],
    }

def build(bld):
    for test_program, test_program_sources in test_programs.items():
        prog = bld.new_task_gen('cxx', 'program')
        prog.features.append('cc')
        if bld.env['IS_MACOSX']:
	        prog.includes = ['..','../macosx', '../posix', '../common/jack', '../common']
        if bld.env['IS_LINUX']:
	        prog.includes = ['..','../linux', '../posix', '../common/jack', '../common']
        if bld.env['IS_SUN']:
	        prog.includes = ['..','../solaris', '../posix', '../common/jack', '../common']
        prog.source = test_program_sources
        if bld.env['IS_LINUX']:
            prog.uselib = 'RT'
        if bld.env['IS_MACOSX']:
            prog.env.append_value("CPPFLAGS", "-mmacosx-version-min=10.4 -arch i386 -arch ppc")
            #prog.env.append_value("LINKFLAGS", "-arch i386 -arch ppc")
	    prog.env.append_value("LINKFLAGS", "")
        prog.uselib_local = 'clientlib'
        prog.target = test_program

=== debian/changelog ===
jackd2 (1.9.6~dfsg.1-5ubuntu1) natty; urgency=low

  * Merge from debian experimental, remaining changes:
    - Drop libcelt build dependency
    - debian/gbp.conf: Set debian-branch to ubuntu

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 14 Feb 2011 20:28:17 +1100

jackd2 (1.9.6~dfsg.1-5) experimental; urgency=low

  * Add no-self-connect patch to provide better ladish support.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 29 Jan 2011 19:00:05 +0100

jackd2 (1.9.6~dfsg.1-4) experimental; urgency=low

  * Add Brazilian Portuguese translation.
  * Provide libjack-dev-session
  * Refresh VCS version to r4104

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 12 Jan 2011 17:46:58 +0100

jackd2 (1.9.6~dfsg.1-3ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop libcelt build dependency
    - debian/gbp.conf: Set debian-branch to ubuntu

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 23 Nov 2010 13:53:46 +1100

jackd2 (1.9.6~dfsg.1-3) experimental; urgency=low

  * Sync to upstream r4089
  * Includes: jack-session support, fixes ALSA suspend/resume and machine
    lock-up after FFADO crashes

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 22 Nov 2010 19:31:37 +0100

jackd2 (1.9.6~dfsg.1-2) unstable; urgency=low

  * Strip .DS_Store, an OSX specific folder db.
  * Remove audio.conf.disabled upon purge (Closes: #603457)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 15 Nov 2010 15:05:33 +0100

jackd2 (1.9.6~dfsg-1ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop libcelt build dependency
    - debian/gbp.conf: Set debian-branch to ubuntu

 -- Luke Yelavich <luke@barbiton>  Wed, 27 Oct 2010 08:43:24 -0400

jackd2 (1.9.6~dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Adrian Knoth ]
  * jackrec is now called jack_rec (like in jackd1)
  * Make libjack-jackd2-dev provide libjack-dev.
  * Don't suggest libjackasyn0, nobody really uses it.
  * Depend on python-dbus (Closes: #595520)

  [ Jonas Smedegaard ]
  * Unfuzz patches.
  * Update copyright file: Extend some copyright years.
  * Extend repackaging of upstream source to strip unneeded and possibly
    sourceless binary ./macosx/libcelt.a.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 25 Oct 2010 16:31:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>, Jonas Smedegaard <dr@jones.dk>, Reinhard Tartler <siretart@tauware.de>
 Build-Depends: cdbs,
  debhelper (>= 6),
+ dh-buildinfo,
  d-shlibs,
  python,
+ python-support,
  libsamplerate-dev,
  libasound2-dev (>= 1.0.18) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libdbus-1-dev,
@@ -35,16 +37,16 @@
 	jackd (<< 3)
 Depends: ${shlibs:Depends},
  ${misc:Depends},
+ ${python:Depends},
  coreutils (>= 4.0),
- python,
+ python-dbus,
  debconf | debconf-2.0,
  libjack-jackd2-0 (= ${binary:Version})
 Recommends: qjackctl,
  libpam-modules,
  jackd2-firewire [amd64 i386 powerpc]
 Suggests: jack-tools,
- meterbridge,
- libjackasyn0
+ meterbridge
 Description: JACK Audio Connection Kit (server and example clients)
  JACK is a low-latency sound server, allowing multiple applications to
  connect to one audio device, and to share audio between themselves.
@@ -94,7 +96,9 @@
  libdbus-1-dev
 Conflicts: libjack0.100.0-dev (<< 0.102.20-2),
  libjack-dev
-Provides: libjack0.100.0-dev
+Provides: libjack0.100.0-dev,
+ libjack-dev-session,
+ libjack-dev
 Replaces: libjack0.71.2-0 (<< 0.75.0-1)
 Description: JACK Audio Connection Kit (development files)
  JACK is a low-latency sound server, allowing multiple applications to

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,13 @@
 #!/usr/bin/make -f
 
 -include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
+-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
 
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
-CDBS_BUILD_DEPENDS_rules_utils_buildinfo =
 
 DEB_UPSTREAM_PACKAGE = jack
 DEB_UPSTREAM_URL = http://www.grame.fr/~letz/
@@ -16,10 +15,13 @@
 
 # unneeded and possibly sourceless binaries
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./windows/**.Lib ./windows/**.lib ./windows/**.dll
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./macosx/libportaudio.a
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./macosx/libcelt.a ./macosx/libportaudio.a
 
 # unneeded sources copyright-protected without licence
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./windows/**.rc
+
+# pure garbage in upstream tarball
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += .DS_Store
 
 # ignore oddly packaged bzip2 archive to not upset dpkg
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^\./waf|\./debian/(changelog|copyright(|_hints|_newhints))$
@@ -45,9 +47,8 @@
 clean::
 	rm -f .lock-wscript
 	find ./.waf-* -iname '*.pyc' -exec rm '{}' \;
+	rm -f man/*.1
 	rm -rf build
-	rm -f man/*.1
-	-rmdir man
 
 DEB_DH_MAKESHLIBS_ARGS = -Xintime -Xinprocess -Xjack_alsa -Xjack_oss -Xjack_dummy -Xjack_firewire
 
@@ -80,6 +81,9 @@
 	dh_install -pjackd2 debian/tmp/usr/lib/jack/audioadapter.so
 endif	
 
+binary-install/jackd2::
+	dh_pysupport -pjackd2
+
 # TODO: drop libstdc++6 override when bug#374049 closed in stable
 binary-post-install/libjack0::
 	d-devlibdeps \
